# xarray.backends.H5NetCDFStore.set_dimensions

`H5NetCDFStore.``set_dimensions`(variables, unlimited_dims=None)

  This provides a centralized method to set the dimensions on the data store.

  Parameters:

  - variables (dict-like) – Dictionary of key/value (variable name / xr.Variable) pairs
  - unlimited_dims (list-like) – List of dimension names that should be treated as unlimited dimensions.